asset-object-comments
4 Endpunkte. Basis-URL: https://xapi.ambertech.cloud/api/v1
List comments for an asset object#
GET
/spaces/{spaceId}/assets/objects/{id}/commentsTokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
spaceIdPflicht | Pfad | string | Space UUID |
idPflicht | Pfad | string | Object UUID |
Antworten
- 200Comment list returned (ordered oldest-first, includes author user details)
- 401Not authenticated
- 403Missing view_assets permission or module disabled
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/assets/objects/{id}/comments" \
-H "Authorization: Bearer $XISUITE_TOKEN"Post a comment on an asset object#
POST
/spaces/{spaceId}/assets/objects/{id}/commentsTokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
spaceIdPflicht | Pfad | string | Space UUID |
idPflicht | Pfad | string | Object UUID |
Request-Body
| Name | Typ | Beschreibung |
|---|---|---|
contentPflicht | string | Comment text |
Antworten
- 201Comment created
- 400Validation error (content 1–5000 chars required)
- 401Not authenticated
- 403Missing view_assets permission or module disabled
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/assets/objects/{id}/comments" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"content":"…"}'Edit a comment (author only)#
PATCH
/spaces/{spaceId}/assets/objects/{id}/comments/{commentId}TokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
spaceIdPflicht | Pfad | string | Space UUID |
idPflicht | Pfad | string | Object UUID |
commentIdPflicht | Pfad | string | Comment UUID |
Request-Body
| Name | Typ | Beschreibung |
|---|---|---|
contentPflicht | string | Replacement comment text |
Antworten
- 200Comment updated
- 400Validation error
- 401Not authenticated
- 403Not the comment author or module disabled
- 404Comment not found
Beispiel (cURL)
curl -X PATCH "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/assets/objects/{id}/comments/{commentId}" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"content":"…"}'Delete a comment (author only)#
DELETE
/spaces/{spaceId}/assets/objects/{id}/comments/{commentId}TokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
spaceIdPflicht | Pfad | string | Space UUID |
idPflicht | Pfad | string | Object UUID |
commentIdPflicht | Pfad | string | Comment UUID |
Antworten
- 200Comment deleted
- 401Not authenticated
- 403Not the comment author or module disabled
- 404Comment not found
Beispiel (cURL)
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/assets/objects/{id}/comments/{commentId}" \
-H "Authorization: Bearer $XISUITE_TOKEN"